#include <bits/stdc++.h>
#define N 10000000
using namespace std;
long long dem[N];
long long giaiThua(long long n){
    long long giai_thua = 1;
    for(int i=1;i<=n;i++)
        giai_thua *= i;
    return giai_thua;
}
int main()
{
	ifstream f1("LASTZERO.INP");
	ofstream f2("LASTZERO.OUT");
	long long i,s,n,kq=0;
	f1>>s;
	n=giaiThua(s);
	for(i=0;i<=N;i++)
	{
		dem[i]=0;
	}
	for(i=2;i<=n;i++)
	{
		while(n%i==0)
		{
			dem[i]++;
			n=n/i;
		}
	}
	if(dem[5]==0)cout<<0;
	else
	{
		for(i=1;i<=dem[5];i++)
		{
			kq++;
		}
	}
	f2<<kq;
}
